SNA
エンドポイントリファレンス

Completion

セッション管理なしで軽量な単発 LLM completion を実行します。

POST
/agent/completion

認証

bearerAuth
認証Bearer <token>

In: header

リクエスト本文

application/json

TypeScript 定義

TypeScript で request body 型を使用します。

レスポンス本文

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/completion" \  -H "Content-Type: application/json" \  -d '{    "prompt": "string"  }'
{
  "text": "string",
  "usage": {
    "inputTokens": 0,
    "outputTokens": 0,
    "cacheReadTokens": 0,
    "cacheCreationTokens": 0
  },
  "costUsd": 0,
  "durationMs": 0,
  "durationApiMs": 0,
  "model": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}